> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Report Schedule



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml put /api/content/v1/reportschedules/{scheduleId}
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/{scheduleId}:
    put:
      tags:
        - Scheduled Reports API
      summary: Update Report Schedule
      operationId: updateReportSchedule
      parameters:
        - in: path
          name: scheduleId
          required: true
          schema:
            type: integer
          description: ID of the schedule to update
      requestBody:
        description: ReportScheduleInfo object
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportScheduleInfo'
            examples:
              example:
                value:
                  title: Updated Monthly Sales Report
                  schedule:
                    frequency: MONTHLY
                    daysToRun: '15'
                    hourOfDay: 10
                    minOfHour: 30
                    timezone: America/New_York
                    enabled: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportScheduleItem'
              examples:
                example:
                  value:
                    id: 123456
                    title: Updated Monthly Sales Report
                    schedule:
                      frequency: MONTHLY
                      daysToRun: '15'
                      hourOfDay: 10
                      minOfHour: 30
                      timezone: America/New_York
                      enabled: true
                      nextRunDate: 1701864600000
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    ReportScheduleInfo:
      type: object
      properties:
        title:
          type: string
        pageId:
          type: integer
        viewId:
          type: integer
        schedule:
          $ref: '#/components/schemas/ReportSchedule'
        attachmentInclude:
          type: boolean
    ReportScheduleItem:
      type: object
      properties:
        id:
          type: integer
        reportViewId:
          type: integer
        pageId:
          type: integer
        title:
          type: string
        viewName:
          type: string
        type:
          type: string
        ownerId:
          type: integer
        embedViewId:
          type: integer
        owner:
          type: boolean
        cardCount:
          type: integer
        recipientCount:
          type: integer
        cardId:
          type: integer
        schedule:
          $ref: '#/components/schemas/ReportSchedule'
    ReportSchedule:
      type: object
      properties:
        frequency:
          type: string
        daysToRun:
          type: string
        hourOfDay:
          type: integer
        minOfHour:
          type: integer
        timezone:
          type: string
        enabled:
          type: boolean
        nextRunDate:
          type: integer
          description: Epoch milliseconds
        additionalRecipients:
          type: array
          items:
            $ref: '#/components/schemas/ReportScheduleRecipient'
    ReportScheduleRecipient:
      type: object
      properties:
        type:
          type: string
          enum:
            - EMAIL
        value:
          type: string
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````